summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-07-03 13:09:24 +0000
committerRoy Marples <roy@marples.name>2008-07-03 13:09:24 +0000
commitd61f8318962346b3b2a3f13e7b489d2c0c397b94 (patch)
tree9b1308dfb5ffe70b5f36281bfcc2656f8e1cf31a /test
parent28a65393ca08cb1a27672305fe6e6210ee2f0a9e (diff)
downloadopenrc-d61f8318962346b3b2a3f13e7b489d2c0c397b94.tar.gz
openrc-d61f8318962346b3b2a3f13e7b489d2c0c397b94.tar.bz2
openrc-d61f8318962346b3b2a3f13e7b489d2c0c397b94.tar.xz
More unit fixes.
Diffstat (limited to 'test')
-rwxr-xr-xtest/setup_env.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/test/setup_env.sh b/test/setup_env.sh
index 6af865b..6794913 100755
--- a/test/setup_env.sh
+++ b/test/setup_env.sh
@@ -9,6 +9,11 @@ srcdir=${srcdir:-.}
top_builddir=${top_builddir:-${top_srcdir}}
builddir=${builddir:-${srcdir}}
+if ! . ${top_srcdir}/sh/functions.sh; then
+ echo "Sourcing functions.sh failed !?" 1>&2
+ exit 1
+fi
+
export LD_LIBRARY_PATH=${top_builddir}/src/libeinfo:${top_builddir}/src/librc:${LD_LIBRARY_PATH}
export PATH=${top_builddir}/src/rc:${PATH}
@@ -16,9 +21,3 @@ cd ${top_srcdir}/src/rc
${MAKE:-make} links >/dev/null
cd -
-. ${top_srcdir}/sh/functions.sh
-
-if [ $? -ne 0 ] ; then
- echo "Sourcing functions.sh failed !?" 1>&2
- exit 1
-fi